Subject: Re: [bug#67231] [PATCH] gnu: aerc: Fix notmuch support.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 11 Dec 2023 23:38:22 +0100

Hi,

VÖRÖSKŐI András <[email-masked]> skribis:

> * gnu/packages/mail.scm (aerc)[inputs]: Add notmuch, remove go modules and zoxide.
> * gnu/packages/mail.scm (aerc)[native-inputs] Add go modules and zoxide.
>
> Change-Id: I697cee112bcc37f87681ee16de6ffc3f7b13ec3d
> ---
>
> For notmuch support notmuch.h has to be included build time, so added to inputs.
> Zoxide moved to native-inputs as it is an optional depencency, aerc works fine
> without it.
>
> I am not sure about the go modules, but I think they also sould be just native-inputs
> as we only need those at build time.

Zoxide is definitely present at run-time, as can be seen when running
‘guix size aerc’.  So I think it should remain in ‘inputs’.

As for the Go modules, my inclination is that they should be in ‘inputs’
as well because surely the resulting binaries must be linked against
them, even if statically?

IOW, I guess I’d just add ‘notmuch’ to ‘inputs’ and not make the other
changes.  If that’s fine with you, could you send an updated patch?

Thanks,
Ludo’.